Name:         docbook-utils
Version:      0.6.14
Release:      47
Summary:      Shell scripts for managing DocBook documents
URL:          http://www.linuxfromscratch.org/blfs/view/svn/pst/docbook-utils.html
License:      GPLv2+
Requires:     docbook-dtds grep gawk text-www-browser which docbook-style-dsssl >= 1.72 perl-SGMLSpm >= 1.03ii
BuildRequires:perl-generators perl-SGMLSpm, openjade, docbook-style-dsssl
BuildArch:    noarch
Source0:      https://sourceware.org/ftp/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tar.gz
Source1:      db2html
Source2:      gdp-both.dsl
Source3:      docbook2man-spec.pl
Obsoletes:    stylesheets < %{version}-%{release}
Provides:     stylesheets = %{version}-%{release}

Patch0000:    docbook-utils-spaces.patch
Patch0001:    docbook-utils-2ndspaces.patch
Patch0002:    docbook-utils-w3mtxtconvert.patch
Patch0003:    docbook-utils-grepnocolors.patch
Patch0004:    docbook-utils-sgmlinclude.patch
Patch0005:    docbook-utils-rtfmanpage.patch
Patch0006:    docbook-utils-papersize.patch
Patch0007:    docbook-utils-nofinalecho.patch
Patch0008:    docbook-utils-newgrep.patch

%description
The DocBook-utils package is a collection of utility scripts used to convert and
analyze SGML documents in general, and DocBook files in particular. The scripts
are used to convert from DocBook or other SGML formats into “classical” file formats
like HTML, man, info, RTF and many more. There's also a utility to compare two SGML
files and only display the differences in markup. This is useful for comparing
documents prepared for different languages.

%package      pdf
Summary:      A script for converting DocBook documents to PDF format
License:      GPL+
Requires:     docbook-utils = %{version} tex(dvips) texlive-jadetex >= 7
Requires:     texlive-collection-fontsrecommended texlive-collection-htmlxml
Obsoletes:    stylesheets-db2pdf <= %{version}-%{release}
Provides:     stylesheets-db2pdf = %{version}-%{release}

%description  pdf
This package contains a script for converting DocBook documents to
PDF format.

%package      help
Summary:      Help document for DocBook-utils

%description  help
Help document for DocBook-utils.

%prep
%autosetup -p1

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
%make_build

%install
%make_install prefix=%{_prefix} mandir=%{_mandir} docdir=/tmp
ln -s docbook2dvi $RPM_BUILD_ROOT%{_bindir}/db2dvi
ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/db2dvi.1
ln -s docbook2html $RPM_BUILD_ROOT%{_bindir}/db2html
ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/db2html.1
ln -s docbook2pdf $RPM_BUILD_ROOT%{_bindir}/db2pdf
ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/db2pdf.1
ln -s docbook2ps $RPM_BUILD_ROOT%{_bindir}/db2ps
ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/db2ps.1
ln -s docbook2rtf $RPM_BUILD_ROOT%{_bindir}/db2rtf
ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/db2rtf.1
ln -s jw.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/docbook2txt.1
rm -f $RPM_BUILD_ROOT%{_bindir}/db2html
rm -rf $RPM_BUILD_ROOT/tmp
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/db2html
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl
install -p -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl

%clean

%files
%doc README COPYING TODO
%{_bindir}/jw
%{_bindir}/docbook2html
%{_bindir}/docbook2man
%{_bindir}/docbook2rtf
%{_bindir}/docbook2tex
%{_bindir}/docbook2texi
%{_bindir}/docbook2txt
%{_bindir}/db2rtf
%{_bindir}/sgmldiff
%{_datadir}/sgml/docbook/utils-%{version}
%attr(0755,root,root) %{_bindir}/db2html

%files pdf
%{_bindir}/docbook2pdf
%{_bindir}/docbook2dvi
%{_bindir}/docbook2ps
%{_bindir}/db2dvi
%{_bindir}/db2pdf
%{_bindir}/db2ps

%files help
%{_mandir}/*/db2dvi.*
%{_mandir}/*/db2html.*
%{_mandir}/*/db2ps.*
%{_mandir}/*/db2rtf.*
%{_mandir}/*/docbook2html.*
%{_mandir}/*/docbook2rtf.*
%{_mandir}/*/docbook2man.*
%{_mandir}/*/docbook2tex.*
%{_mandir}/*/docbook2texi.*
%{_mandir}/*/docbook2txt.*
%{_mandir}/*/jw.*
%{_mandir}/*/sgmldiff.*
%{_mandir}/*/*-spec.*
%{_mandir}/*/db2pdf.*
%{_mandir}/*/docbook2pdf.*
%{_mandir}/*/docbook2dvi.*
%{_mandir}/*/docbook2ps.*

%changelog
* Sat Nov 30 2019 wangyiru <wangyiru1@huawei.com> -  0.6.14-47
- Package inint
